package application;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Text;
import javafx.stage.Stage;


public class Main extends Application {
	
	private static final String MY_USRNAME = "sindy";
	private static final String MY_PSW ="123";
	private int counter = 0;
	
	
	@Override
	public void start(Stage primaryStage) {
		try {
			//BorderPane root = new BorderPane();
			
			GridPane gp = new GridPane();
			gp.getStyleClass().add("mygrid");
			
			Scene scene = new Scene(gp);
			
			// CSS-File bekannt machen:
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			
			//ELements			
			Text t_welcome = new Text("Willkommen bei Ihrer Bank!");
			t_welcome.setId("welcometxt");
			Button b_login = new Button("Login");
			Label l_usrn = new Label("Nutzername");
			Label l_psw = new Label("Passwort");
			Text t_msg = new Text();
			t_msg.setId("msgtxt");
			
			TextField tf_usrn = new TextField();
			PasswordField tf_psw = new PasswordField();
			
			// Elemente im Grid anordnen
			gp.add(t_welcome, 0, 0, 2, 1);
			gp.add(l_usrn, 0, 1);
			gp.add(tf_usrn, 1, 1);
			gp.add(l_psw, 0, 2);
			gp.add(tf_psw, 1, 2);
			gp.add(b_login, 0, 3);
			gp.add(t_msg, 0, 4,2,1);
			
			// Button Logik implementieren
			b_login.setOnAction(event->{
				
				if (counter > 2){
					Scene errorScreen = new Scene(new ErrorScreen());
					
					// Der Error-Screen erhaelt ein anderes Design:
					errorScreen.getStylesheets().add("application/error.css");
					primaryStage.setScene(errorScreen);
				}
				
				else if (tf_usrn.getText().equals("")){
					t_msg.setStyle("-fx-fill: red");
					t_msg.setText("Nutzername fehlt!");
				}
				else if (tf_psw.getText().equals("")){
					t_msg.setStyle("-fx-fill: red");
					t_msg.setText("Passwort fehlt!");
				}
				
				else if (!tf_usrn.getText().equals(MY_USRNAME) || !tf_psw.getText().equals(MY_PSW)){
					t_msg.setStyle("-fx-fill: red");
					t_msg.setText("Nutzername und/oder Passwort falsch!");	
					counter++;
				}
				
				else {
					t_msg.setStyle("-fx-fill: green");
					t_msg.setText("Login");	
					counter=0;
				
					Scene bankscreen = new Scene(new BankScreen());
					
					//auch fuer die neue Szene die CSS Datei einbinden: 
					bankscreen.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
					
					primaryStage.setScene(bankscreen);
					
				}
				
			});
			
			primaryStage.setScene(scene);
			primaryStage.sizeToScene();
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
