package mvc;

import javafx.scene.Parent;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Text;

public class View extends Parent{

	private Text balance_info;
	
	// Ueber den Konstruktor wird der View das Model mitgeteilt. 
	public View(Model bank){
		
		BorderPane root = new BorderPane();
		
		Text header = new Text("Willkommen bei Ihrer Bank!");
		
		root.setTop(header);
		
		header.setId("header");
		
		GridPane gp = new GridPane();
		root.setCenter(gp);
		
		Label c_label = new Label("Ihr Kontostand: ");
		balance_info = new Text(""+bank.getBalance());
		
		TextField tf_einzahlen, tf_auszahlen;
		
		tf_einzahlen = new TextField();
		tf_auszahlen = new TextField();
		
		Button btn_einzahlen = new Button("einzahlen");
		Button btn_auszahlen = new Button("auszahlen");
		
		// Hier vermischen sich aufgrund des Frameworks die folgenden Controller mit der View ueber die setOnAction()
		btn_einzahlen.setOnAction(e -> {
			
			// hier wird der Betrag im Model eingezahlt und gespeichert.
			bank.einzahlen(Double.parseDouble(tf_einzahlen.getText()));
			tf_einzahlen.setText("");
			// Hier wird der aktuelle Kontostand aus dem Model geholt und angezeigt. 
			balance_info.setText(""+bank.getBalance());
		});
		
		// Analog zur Einzahlen-Methode
		btn_auszahlen.setOnAction(e -> {
			
			bank.auszahlen(Double.parseDouble(tf_auszahlen.getText()));
			balance_info.setText(""+bank.getBalance());
			tf_auszahlen.setText("");
		});
		
		gp.add(c_label, 0, 0);
		gp.add(balance_info, 1, 0);
		
		gp.add(tf_einzahlen, 0, 1);
		gp.add(tf_auszahlen, 1, 1);
		
		gp.add(btn_einzahlen, 0, 2);
		gp.add(btn_auszahlen, 1, 2);
		
		this.getChildren().add(root);
	}
	
}
